#!/usr/bin/env sh
set -e

export GITURL="http://git.fuwafuwaqtlkkxwc.onion/yafox"

basicup() {
    git clone $GITURL/$1
    cd $1 
    make install
    cd ..
}

apk add build-base coreutils cmake git curl rsync cryptsetup autoconf

git clone $GITURL/vercmp
cd vercmp
make lix-os-formats
make install
cd ..

basicup shsort

git clone $GITURL/how
cd how
make lix-os-how
make install
cd ..

basicup chin
basicup src
basicup lmr
basicup lyr
basicup lix

git clone $GITURL/lix-os-utilities
mkdir bootstrap
./lix-os-utilities/mkbootstrap.sh bootstrap

# TODO: make this generic
mkdir linux-mnt
lix --bootstrap=bootstrap pull linux-kernel
lix --bootstrap=bootstrap mount linux-mnt linux-kernel
cp /mnt2/ppc64le-config linux-mnt/mnt/src/.config
lix umount linux-mnt linux-kernel
rmdir linux-mnt
